Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendPaymentForm

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.PaymentResult>
it.tdlight.jni.TdApi.SendPaymentForm

Enclosing class:
  TdApi

public static final class TdApi.SendPaymentForm extends TdApi.Function<TdApi.PaymentResult>
Sends a filled-out payment form to the bot for final verification.

Returns `PaymentResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier of the Invoice message.
`static final int`
`CONSTRUCTOR`
`TdApi.InputCredentials`
`credentials`
The credentials chosen by user for payment.
`long`
`messageId`
Message identifier.
`String`
`orderInfoId`
Identifier returned by validateOrderInfo, or an empty string.
`long`
`paymentFormId`
Payment form identifier returned by getPaymentForm.
`String`
`shippingOptionId`
Identifier of a chosen shipping option, if applicable.
`long`
`tipAmount`
Chosen by the user amount of tip in the smallest units of the currency.

## Constructor Summary

Constructors
Constructor
Description
`SendPaymentForm()`
Sends a filled-out payment form to the bot for final verification.
`SendPaymentForm(long chatId, long messageId, long paymentFormId, String orderInfoId, String shippingOptionId, TdApi.InputCredentials credentials, long tipAmount)`
Sends a filled-out payment form to the bot for final verification.
`SendPaymentForm(DataInput input)`
Sends a filled-out payment form to the bot for final verification.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the Invoice message.

### messageId

public long messageId
Message identifier.

### paymentFormId

public long paymentFormId
Payment form identifier returned by getPaymentForm.

### orderInfoId

public String orderInfoId
Identifier returned by validateOrderInfo, or an empty string.

### shippingOptionId

public String shippingOptionId
Identifier of a chosen shipping option, if applicable.

### credentials

public TdApi.InputCredentials credentials
The credentials chosen by user for payment.

### tipAmount

public long tipAmount
Chosen by the user amount of tip in the smallest units of the currency.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SendPaymentForm

public SendPaymentForm()
Sends a filled-out payment form to the bot for final verification.

Returns `PaymentResult`

### SendPaymentForm

public SendPaymentForm(long chatId, long messageId, long paymentFormId, String orderInfoId, String shippingOptionId, TdApi.InputCredentials credentials, long tipAmount)
Sends a filled-out payment form to the bot for final verification.

Returns `PaymentResult`

Parameters:
  `chatId` - long Chat identifier of the Invoice message.
  `messageId` - long Message identifier.
  `paymentFormId` - long Payment form identifier returned by getPaymentForm.
  `orderInfoId` - String Identifier returned by validateOrderInfo, or an empty string.
  `shippingOptionId` - String Identifier of a chosen shipping option, if applicable.
  `credentials` - InputCredentials The credentials chosen by user for payment.
  `tipAmount` - long Chosen by the user amount of tip in the smallest units of the currency.

### SendPaymentForm

public SendPaymentForm(DataInput input) throws IOException
Sends a filled-out payment form to the bot for final verification.

Returns `PaymentResult`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`